# Source code for azure.loganalytics.models.error_detail_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ErrorDetail(Model):
        """Error details.

        All required parameters must be populated in order to send to Azure.

        :param code: Required. The error's code.
        :type code: str
        :param message: Required. A human readable error message.
        :type message: str
        :param target: Indicates which property in the request is responsible for
         the error.
        :type target: str
        :param value: Indicates which value in 'target' is responsible for the
         error.
        :type value: str
        :param resources: Indicates resources which were responsible for the
         error.
        :type resources: list[str]
        :param additional_properties:
        :type additional_properties: object
        """

        _validation = {
            'code': {'required': True},
            'message': {'required': True},
        }

        _attribute_map = {
            'code': {'key': 'code', 'type': 'str'},
            'message': {'key': 'message', 'type': 'str'},
            'target': {'key': 'target', 'type': 'str'},
            'value': {'key': 'value', 'type': 'str'},
            'resources': {'key': 'resources', 'type': '[str]'},
            'additional_properties': {'key': 'additionalProperties', 'type': 'object'},
        }

        def __init__(self, *, code: str, message: str, target: str=None, value: str=None, resources=None, additional_properties=None, **kwargs) -> None:
            super(ErrorDetail, self).__init__(**kwargs)
            self.code = code
            self.message = message
            self.target = target
            self.value = value
            self.resources = resources
            self.additional_properties = additional_properties